Update chat session
curl --request PATCH \
--url http://co-mind-platform-host/v1/chat/sessions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"knowledgebase_ids": [
"<string>"
]
}
'import requests
url = "http://co-mind-platform-host/v1/chat/sessions/{id}"
payload = {
"name": "<string>",
"knowledgebase_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', knowledgebase_ids: ['<string>']})
};
fetch('http://co-mind-platform-host/v1/chat/sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "session_xyz789",
"object": "chat.session",
"name": "Q&A about Product Docs",
"knowledgebase_ids": [
"<string>"
],
"model": "gpt-4o-mini",
"temperature": 123,
"system_message": "<string>",
"created_at": 1699564800,
"updated_at": 1699564900,
"message_count": 10
}{
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}Chat
Update chat session
Update session name or knowledgebase IDs
PATCH
/
v1
/
chat
/
sessions
/
{id}
Update chat session
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Path Parameters
The session ID
Body
application/json
Response
Session updated successfully
Example:
"session_xyz789"
Example:
"chat.session"
Example:
"Q&A about Product Docs"
Example:
"gpt-4o-mini"
Unix timestamp
Example:
1699564800
Unix timestamp
Example:
1699564900
Example:
10
⌘I

